.s--pipeline-height {
  //min-height: calc(100vh - 60px - 60px - 57px - 78px - 30px);
  //min-height: calc(100vh - 60px - 57px - 78px - 30px);
  min-height: calc(100vh - 60px - 70px - 60px - 25px);
}

.s--pipeline {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  white-space: nowrap;
  margin-bottom: 8px;
  overflow-x: auto;
  overflow-y: hidden;
  margin: 0;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.s--deals-pipeline {
  ::-webkit-scrollbar {
    height: 10px;
  }

  ::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: .2s linear, opacity .2s linear
  }
}

.s--pipeline .s--pipeline-column {
  width: 272px;
  //margin: 0 25px;
  margin: 0 5px;
  box-sizing: border-box;
  display: inline-block;
  vertical-align: top;
  padding-bottom: 0;
  height: 100%;

  &:first-child {
    margin-left: 0;
  }

  &:last-child {
    margin-right: 0;
  }

  ::-webkit-scrollbar {
    width: 4px;
  }

  ::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: .2s linear, opacity .2s linear
  }
}

.s--pipeline .s-portlet__head {
  padding: 10px 15px;
  position: relative;
  border-bottom: 1px solid #ebedf2;
  border-top: 5px solid #fff;
  box-shadow: 0 5px 5px -5px rgba(51, 51, 51, 0.4);
}

.s--pipeline .s-portlet__head .m-nav .m-nav__section .m-nav__section-text {
  color: #575962;
}

.s--pipeline .s-portlet__head .m-btn--icon.m-btn--icon-only {
  width: 25px;
  height: 25px;
  border: none;

  &:hover {
    border: none;
  }
}

.s--pipeline .s-portlet__head .m-dropdown--open .m-btn--icon.m-btn--icon-only {
  background-color: #c4c5d6;
  color: #fff;
}

.s--pipeline .s--pipeline-column--processing .s-portlet__head {
  border-top: 5px solid #ffb822;

  .s-portlet__head-name {
    color: #ffb822;
  }
}

.s--pipeline .s--pipeline-column--done .s-portlet__head {
  border-top: 5px solid #34bfa3;

  .s-portlet__head-name {
    color: #34bfa3;
  }
}

.s--pipeline .s--pipeline-column--cancel .s-portlet__head {
  border-top: 5px solid #8c8ea4;

  .s-portlet__head-name {
    color: #8c8ea4;
  }
}

.s--pipeline .s-portlet__head .s-portlet__head-title {
  color: #575962;
  font-size: 1.3rem;
  font-weight: 500;
}

.s--pipeline .s-portlet__head .m-portlet__head-tools {
  position: absolute;
  top: 15px;
  right: 15px;
}

.s--pipeline-search .form-control {
  border-color: #00a4bd;

  //&:hover,
  //&:focus {
  //    border-color: lighten(#00a4bd, 20%);
  //    color: #00a4bd;
  //}
}

.s--pipeline .m-portlet__body .tab-content {
  height: 100%;
  background: #e6e6e6;
}

.s--pipeline-cards {
  height: 100%;
}

.s--pipeline-card {
  cursor: move;
  padding-left: 10px;
  padding-right: 10px;
  margin: 5px;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0px 0px 3px #d0d0d0;

  &:hover {
    background-color: #f7f8fa;
  }
}

.s--pipeline .s--pipeline-sort .m-nav__link {
  margin-left: 20px;
  position: relative;
  color: #6f727d;
  font-weight: 400;

  &.checked,
  &:hover {
    color: #00a4bd;
  }

  &.checked:before {
    content: "\f17b";
    position: absolute;
    right: calc(100% + 6px);
    top: calc(50% - 6px);
    display: inline-block;
    font: normal normal normal 16px/1 "LineAwesome";
    font-size: inherit;
    text-decoration: inherit;
    text-rendering: optimizeLegibility;
    text-transform: none;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-smoothing: antialiased;
  }
}

.s--pipeline-card.sortable-ghost {
  background-color: #eee;

  >div {
    visibility: hidden;
  }
}

.s--pineline-bottom {
  position: absolute;
  //top: calc(100% - 10px);
  bottom: -25px;
  left: 0px;
  width: 100%;
  z-index: 99;
  display: flex;
  justify-content: center;
  //display: inline-block;
  //padding: 0 20px;
  background-color: #fff;
  -webkit-box-shadow: 0px 1px 15px 1px rgba(69, 65, 78, 0.08);
  box-shadow: 0px 1px 15px 1px rgba(69, 65, 78, 0.08);
}

.s--pineline-bottom__draggable {
  width: 272px;
  margin: 10px;

  height: 70px;
  //width: calc((100% - 40px) / 3);
  float: left;
  background-color: #eeeeee;
  position: relative;
  //margin: 10px 0;
  //margin-right: 20px;

  //&.s--pineline-bottom__cancel{
  //    margin-right: 0;
  //}
}

.s--pineline-bottom .m-portlet__head-text {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  height: 70px;
  //width: 272px;
  width: 100%;
  line-height: 70px;
}

.s--pineline-bottom .s--pipeline-card.sortable-ghost {
  height: 70px;
  width: 272px;
  margin: 0;
  background: transparent;
  border: 2px dashed #00a4bd;

  >div {
    display: none;
  }
}

.s--pineline-bottom .s--pineline-bottom__processing h5 {
  border: 2px dashed #ffb822;
  color: #ffb822;
}

.s--pineline-bottom.s--pineline-bottom--show .s--pineline-bottom__processing .s--pipeline-card.sortable-ghost {
  border: 2px solid #ffb822;
}

.s--pineline-bottom .s--pineline-bottom__done h5 {
  border: 2px dashed #00a4bd;
  color: #00a4bd;
}

.s--pineline-bottom.s--pineline-bottom--show .s--pineline-bottom__done .s--pipeline-card.sortable-ghost {
  border: 2px solid #00a4bd;
}

.s--pineline-bottom .s--pineline-bottom__cancel h5 {
  border: 2px dashed #8c8ea4;
  color: #8c8ea4;
}

.s--pineline-bottom .s--pineline-bottom__cancel .s--pipeline-card.sortable-ghost {
  border: 2px solid #8c8ea4;
}

.s--pipeline .m-portlet .m-portlet__body {
  //overflow-y: scroll;
  height: calc(100% - 90px);
  padding: 0;
  background: #dfe3e6;
}

.s--pipeline .m-portlet__body .m-widget4__info {
  padding-left: 0;
  padding-right: 0;
}

.s--pipeline .m-portlet__body .m-widget4__item {
  width: 100%;
}

.s--pipeline-content {
  &::after {
    display: block;
    content: "";
    clear: both;
  }
}

.s--pipeline-content {
  height: calc(100% - 2.2rem);
}

.s--pipeline__convert-number,
.s--pipeline__convert .s--pipeline__item-icon,
.s--pipeline__total-price {
  color: #575962;
}

.s--pipeline__quantity {
  width: 15px;
  height: 15px;
  text-align: center;
  line-height: 15px;
  font-size: 11px;
  bottom: calc(100% - 12px);
  left: calc(100% + 2px);
  position: absolute;
  color: rgba(87, 89, 98, 0.56);
}

.s--pipeline__convert {
  position: absolute;
  left: 100%;
  width: 50px;
  text-align: center;
  top: 0;
  font-weight: bold;
}

.s--pipeline-column.s--pipeline-column--done .s--pipeline__convert,
.s--pipeline-column.s--pipeline-column--cancel .s--pipeline__convert {
  display: none;
}

.s--pipeline .m-widget4__title {
  white-space: normal;
}

.s--pipeline .s--pipeline-card .s--edit {
  position: absolute;
  top: 0;
  left: calc(100% - 10px);
  display: none;
  width: 22px;
  height: 20px;
  line-height: 20px;
  border-radius: 2px;
  text-align: center;

  &:hover {
    background-color: #ebeef0;
  }
}

.s--pipeline .s--pipeline-card:hover .s--edit {
  display: block;
}

.s--deals-pipeline .badge-top-right {
  background-color: transparent;
  color: #00a4bd !important;
  border: none;
  bottom: calc(100% - 12px);
  left: calc(100% + 2px);
  top: auto;
}

.s--pipeline .m-portlet__footer {
  color: #575962;
  height: 40px;
  line-height: 40px;
  padding: 0 15px;
  border-top: solid 1px #ebedf2;
  box-shadow: 0 -5px 5px -5px rgba(51, 51, 51, 0.4);
  position: relative;
  z-index: 1;
  background-color: #fff;
}

// custom tooltip
.m-tooltip {
  pointer-events: none !important;
}

.m-tooltip-custom-pipeline__quantity,
.m-tooltip-custom-pipeline__total,
.m-tooltip-custom-pipeline__convert,
.m-tooltip-custom-campaign-condition-tooltip {
  .arrow {
    transform: rotate(-180deg);
    bottom: 0;
    top: auto !important;
  }
}

.m-tooltip-custom-pipeline__quantity {
  top: -58px !important;
}

.m-tooltip-custom-pipeline__convert {
  top: -62px !important;
}

.m-tooltip-custom-pipeline__total {
  top: -62px !important;
}

.m-tooltip-custom-campaign-condition-tooltip {
  top: -102px !important;
}

.m-tooltip-custom-campaign-condition-action-name-tooltip {
  max-height: 80px !important;
  overflow: auto;
}